<?php
/*
Roundcube Password Driver for Mailboy.

Deps: PHP-Curl

@author		Emmanuel Revah <manu@manurevah.com>
@copyright	GPLv3

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see http://www.gnu.org/licenses/.
*/

class rcube_mailboy_password {
    /*
	this method is called from roundcube to change the password
     * @author Emmanuel Revah <manu@manurevah.com>
     * @param string $curpass Current password
     * @param string $newpass New password
     * @returns int PASSWORD_SUCCESS|PASSWORD_ERROR
     */

    function save($currpass, $newpass) {
        // get config
        $rcmail = rcmail::get_instance();

		// Get API url
        $url = $rcmail->config->get('password_mailboy_apiurl');

		// Get result
		$result = $this->change_password($url, $_SESSION['username'], $currpass, $newpass);

		// And that's it
        if ($result) {
            return PASSWORD_SUCCESS;
        }
        return PASSWORD_ERROR;
    }

	function change_password($url, $email, $currpass, $newpass) {

		// Make a POST array
		$post_data = array (
			'cmd' => "newpass",
			'email' => $email,
			'currpass' => $currpass,
			'newpass' => $newpass,
		);

		// Init Curl
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post_data));

		// Receive server response ...
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

		// Get!
		$output = curl_exec($ch);
		curl_close ($ch);

		$r = json_decode($output, true);

		if ($r['code'] == 1) {
			return true;
		} else {
			return false;
		}
	}
}
