#!/bin/bash

SADIR=/var/lib/amavis/.spamassassin
DBPATH=/var/lib/amavis/.spamassassin/bayes
SPAMFOLDERS="/home/mailboy/*/*/maildir/.INBOX.spam/"
# Be careful when defining HAMFOLDERS - either trust all users OR perhaps just one or more
#HAMFOLDERS="/home/mailboy/example.tld/main_user/maildir/.INBOX.spam.ham-learn"

for spamfolder in $SPAMFOLDERS; do     echo Learning spam from $spamfolder ;     nice sa-learn --spam --showdots --dbpath $DBPATH $spamfolder
done

for hamfolder in $HAMFOLDERS ; do     echo Learning ham from $hamfolder ;     nice sa-learn --ham --showdots --dbpath $DBPATH $hamfolder
done

chown -R amavis:amavis $SADIR

sa-learn --dbpath /var/lib/amavis/.spamassassin/bayes --dump magic
exit
