<?php
/*
This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<?php // CONFIRM DELETE ?>
<?php if ($content['relay_domains']['confirm_delete']) { ?>
	<div id="confirm-delete">
		<p>Do you really want to delete the relay domain <strong><?php echo $content['relay_domains']['confirm_delete']['domain']; ?></strong> ?
			<a href="<?php echo $content['relay_domains']['confirm_delete']['confirm_link']; ?>">Yes</a>
			<a href="<?php echo $content['relay_domains']['confirm_delete']['cancel_link']; ?>">No</a>
		</p>
	</div>
<?php } ?>


<?php // Edit domain form
if ($content['relay_domains']['forms']['edit_domain_form']) { ?>
	<fieldset>
		<legend>Edit relay domain</legend>
	<?php	$del_domain_form = new FormPrinter($content['relay_domains']['forms']['edit_domain_form']);
		// Configure base css class for input fields
		$del_domain_form->configure_css("submit", "input-submit");
		// Generate form
		$del_domain_form->auto_generate_form();
		$del_domain_form->insert_html('<div class="clear"></div>');
		$del_domain_form->print_form("Edit relay domain"); ?>
	</fieldset>

<?php }  else if ($content['relay_domains']['forms']['add_domain_form'] AND $content['relay_domains']['forms']['add_domain_form']['errors']) { // Add domain form - Only show this if we're not already editing a domain ?>
	<fieldset>
		<legend>Add relay domain</legend>
	<?php	$add_domain_form = new FormPrinter($content['relay_domains']['forms']['add_domain_form']['form_name'], genlink("page=relay_domains"));
		$add_domain_form->configure_css("submit", "input-submit");
		$add_domain_form->auto_generate_form($content['relay_domains']['forms']['add_domain_form']['fields']);
		$add_domain_form->insert_html('<div class="clear"></div>');
		$add_domain_form->print_form("Add new domain"); ?>
	</fieldset>
<?php } ?>


<?php // list domains ?>
<?php if (is_array($content['relay_domains']['list']['domains'])) { ?>
<div class="table" id="domain-list">
	<div class="table-row">
		<div class="table-cell table-th"><a href="<?php echo $content['relay_domains']['list']['order_by']['domain']; ?>#domain-list">Domain</a></div>
		<div class="table-cell table-th"><a href="<?php echo $content['relay_domains']['list']['order_by']['note']; ?>#domain-list">Note</a></div>
		<div class="table-cell table-th">Delete</div>
	</div>
	<?php foreach ($content['relay_domains']['list']['domains'] as $k => $v) { ?>
		<div class="table-row">
			<div class="table-cell title">
				<?php if ($v['details_link']) { ?>
				<a href="<?php echo $v['details_link']; ?>"><?php echo $v['domain']; ?></a>
				<?php } else { ?>
				<?php echo $v['domain']; ?>
				<?php } ?>
			</div>
			<div class="table-cell"><span class="hidden">Note</span><span><?php echo $v['note']; ?></span></div>
			<div class="table-cell delete">
			<?php if ($v['delete_link']) { ?>
				<a href="<?php echo $v['delete_link']; ?>">delete</a>
			<?php } ?>
			</div>
		</div>
	<?php } ?>
</div>
<?php } ?>


<?php // Add domain form - (if not being already posted above
  if ($content['relay_domains']['forms']['add_domain_form'] AND !$content['relay_domains']['forms']['add_domain_form']['errors'] AND !$content['relay_domains']['forms']['edit_domain_form']) { ?>
	<?php // Add domain form - Only show this if we're not already editing a domain ?>
	<fieldset>
		<legend>Add relay domain</legend>
	<?php	$add_domain_form = new FormPrinter($content['relay_domains']['forms']['add_domain_form']['form_name'], genlink("page=relay_domains"));
		$add_domain_form->configure_css("submit", "input-submit");
		$add_domain_form->auto_generate_form($content['relay_domains']['forms']['add_domain_form']['fields']);
		$add_domain_form->insert_html('<div class="clear"></div>');
		$add_domain_form->print_form("Add new domain"); ?>
	</fieldset>
<?php } ?>
